import { PackageManager } from '../package-manager';
import { LockFileData } from './lock-file-type';
/**
 * Hashes lock file content
 */
export declare function lockFileHash(packageManager?: PackageManager): string;
/**
 * Parses lock file and maps dependencies and metadata to {@link LockFileData}
 */
export declare function parseLockFile(packageManager?: PackageManager): LockFileData;
/**
 * Stringifies {@link LockFileData} content and writes it to lock file
 */
export declare function writeLockFile(lockFile: LockFileData, packageManager?: PackageManager): void;
/**
 * Prunes {@link LockFileData} based on minimal necessary set of packages
 * Returns new {@link LockFileData}
 */
export declare function pruneLockFile(lockFile: LockFileData, packages: string[], packageManager?: PackageManager): LockFileData;
