"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hashString = exports.sortObject = void 0;
const hashing_impl_1 = require("../../hasher/hashing-impl");
/**
 * Simple sort function to ensure keys are ordered alphabetically
 * @param obj
 * @returns
 */
function sortObject(obj, valueTransformator = (value) => value) {
    const keys = Object.keys(obj);
    if (keys.length === 0) {
        return;
    }
    const result = {};
    keys.sort().forEach((key) => {
        result[key] = valueTransformator(obj[key]);
    });
    return result;
}
exports.sortObject = sortObject;
/**
 * Apply simple hashing of the content using the default hashing implementation
 * @param fileContent
 * @returns
 */
function hashString(fileContent) {
    return hashing_impl_1.defaultHashing.hashArray([fileContent]);
}
exports.hashString = hashString;
//# sourceMappingURL=utils.js.map